Subject: Cruiser IZUMO
From: "Villhauer Bernd" <[email-masked]>
To: [email-masked]
Date: Tue, 8 Jun 2004 07:23:54 +0200

Hallo Timothy,

some times ago I send you some images from my Amoured Cruiser Izumo. Have you got this pictures? If not here are the pictures again, together with new images from my IJN Ise - IJN Wakatake I build in the last two month.

 <<Izumo 011.jpg>>  <<Izumo 013.jpg>>  <<Izumo 022.jpg>>  <<Izumo 027.jpg>>  <<Izumo 029.jpg>> 
Text:  Armoured Cruiser IZUMO -  Seals Models  - Scale 1/700.  I used Etch Parts from Saemann Company in Germany and GMM.

 <<Bild 024.jpg>>  <<Bild 026.jpg>>  <<Bild 030.jpg>>  <<Bild 034.jpg>>  <<Bild 035.jpg>> 
Text: IJN ISE  and IJN Wakatake  - Hasegawa - Scale 1/700. Etch Parts from GMM (Jap. Battleships) and Saemann Company in Germany.

Very best regards...........Bernd